#!/bin/perl

$filesfound="";
$filecnt=0;

#######################################################
#
#######################################################
sub findFiles {
  my($dir) = @_;

  $fileproblem=0;

  #opendir( DIR, $dir) || die "Cant open $dir : $!";

  if (opendir( DIR, $dir))
  {
    while ( $file = readdir(DIR)) {
       if ( $file =~ m/Snap.*trc|javacore|heapdump|core/ ) {
          $filesfound="$filesfound;$dir/$file";
          $filecnt++;
          #print ">>>$filefound \n";
          #print "$dir;$file;\n";
       }
    }
    closedir (DIR);
  }
  else
  {
          $filesfound="$filesfound;****$dir/$file = OPEN PROBLEM ****";
          $filecnt++;
  }

}


# Perl trim function to remove whitespace from the start and end of the string
sub trim($)
{
	my $string = shift;
	$string =~ s/^\s+//;
	$string =~ s/\s+$//;
	return $string;
}


#-----------------------------------------------------
#
#  MAIN
#
#-----------------------------------------------------
if ($#ARGV >= 0) {
   $dirlist = $ARGV[0];
}
else {
   use Sys::Hostname;
   $host = hostname;
   $dirlist = "/usr/local/mware/system/$host/coredirlist.txt";
   #print "check $pidlist \n";
}

open($DIRLISTFILE,$dirlist);

while (<$DIRLISTFILE>) {
  $dir = trim($_);
  chomp($dir);
  if ( length($dir) > 0 ) {
    #print "[$dir]\n";
    findFiles($dir);
  }
}

close($DIRLISTFILE);

  if ( $filecnt > 0 ) {
     print "CoreCheck:found=1\n";
     print "CoreCheck:files=$filesfound\n";
  }
  else {
     print "CoreCheck:found=0\n";
     print "CoreCheck:files=\n";
  }
